summaryrefslogtreecommitdiffstats
path: root/development/diakonos
diff options
context:
space:
mode:
author Martin McConnell <bancensorshipfriends@hotmail.com>2014-01-13 06:46:59 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-01-29 23:21:00 -0600
commit444729b3deef904dfec2a3862d48530b57675141 (patch)
tree412a232a6d5bbeb77ba6d7011d932d50ce5e695c /development/diakonos
parent6209cf0706fd85537c8fe5528cea5ab54f2c635c (diff)
downloadslackbuilds-444729b3deef904dfec2a3862d48530b57675141.tar.gz
slackbuilds-444729b3deef904dfec2a3862d48530b57675141.tar.xz
development/diakonos: Added (advanced console text editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/diakonos')
-rw-r--r--development/diakonos/README18
-rw-r--r--development/diakonos/diakonos.SlackBuild56
-rw-r--r--development/diakonos/diakonos.info11
-rw-r--r--development/diakonos/doinst.sh15
-rw-r--r--development/diakonos/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/development/diakonos/README b/development/diakonos/README
new file mode 100644
index 0000000000..3b814bb9f7
--- /dev/null
+++ b/development/diakonos/README
@@ -0,0 +1,18 @@
+Diakonos is a customizable, usable console-based text editor written in Ruby.
+It has been made with the intention of being easier to configure and use than
+emacs, more powerful than pico and nano, and not as cryptic as vi or ex.
+
+Features
+ * scripting in any language
+ * macro recording and playback
+ * multi-element clipboard
+ * multi-level undo
+ * parsed ("smart") indentation
+ * customizable multilingual syntax highlighting
+ * bookmarking, named and unnamed
+ * regular expression searching
+ * a customizable status line
+ * limited ctags support
+ * hooks
+ * code block selection and navigation modes
+ * line numbering
diff --git a/development/diakonos/diakonos.SlackBuild b/development/diakonos/diakonos.SlackBuild
new file mode 100644
index 0000000000..cff33077e4
--- /dev/null
+++ b/development/diakonos/diakonos.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for diakonos
+# Written by Phillip Warner <pc_warner@yahoo.com>
+# Currently maintained by Martin McConnell <bancensorshipfriends@hotmail.com>
+
+PRGNAM=diakonos
+VERSION=${VERSION:-0.9.1}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+ruby install.rb \
+ --prefix /usr \
+ --conf-dir /etc \
+ --doc-dir /usr/doc/$PRGNAM-$VERSION \
+ --dest-dir $PKG \
+ --verbose
+
+# Don't clobber existing config files
+mv $PKG/etc/$PRGNAM.conf $PKG/etc/$PRGNAM.conf.new
+
+# This really is not necessary.
+rm $PKG/etc/diakonos-256-colour.conf
+
+# Instead copy them to the docs folder
+cp -a diakonos*.conf $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/diakonos/diakonos.info b/development/diakonos/diakonos.info
new file mode 100644
index 0000000000..49852b3781
--- /dev/null
+++ b/development/diakonos/diakonos.info
@@ -0,0 +1,11 @@
+PRGNAM="diakonos"
+VERSION="0.9.1"
+HOMEPAGE="http://diakonos.pist0s.ca/"
+DOWNLOAD="http://diakonos.pist0s.ca/archives/diakonos-0.9.1.tar.bz2"
+MD5SUM="34189ee97432428c963d929ddfab79cf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Martin McConnell"
+EMAIL="bancensorshipfriends@hotmail.com"
+
diff --git a/development/diakonos/doinst.sh b/development/diakonos/doinst.sh
new file mode 100644
index 0000000000..9d207adff1
--- /dev/null
+++ b/development/diakonos/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD|md5sum)" = "$(cat $NEW|md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/diakonos.conf.new
+
diff --git a/development/diakonos/slack-desc b/development/diakonos/slack-desc
new file mode 100644
index 0000000000..08180a9a61
--- /dev/null
+++ b/development/diakonos/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler-----------------------------------------------------|
+diakonos: diakonos (advanced console text editor)
+diakonos:
+diakonos: Diakonos is a customizable, usable console-based text editor written
+diakonos: in Ruby. It has been made with the intention of being easier to
+diakonos: configure and use than emacs, more powerful than pico and nano, and
+diakonos: not as cryptic as vi or ex.
+diakonos:
+diakonos: http://purepistos.net/diakonos
+diakonos:
+diakonos:
+diakonos: